Subject: Re: [DNSOP] Accounting for Special Use Names in Application Protocols
From: Mark Nottingham <[email-masked]>
To: Brian Dickson <[email-masked]>
Cc: Tony Finch <[email-masked]>, "[email-masked] WG" <[email-masked]>
Date: Tue, 5 Feb 2019 11:30:50 +1100
List-Id: IETF DNSOP WG mailing list <dnsop.ietf.org>

I've modified that slightly to come up with this proposal:

"""
HTTP and HTTPS URIs rely on some name resolution mechanism(s) to interpret the authority field and ultimately convert it into an identifier (typically, IPv4 or IPv6 addresses). Often, this is DNS [ref].

When DNS is consulted for resolution of the authority field, this specification requires adherence to the requirements that all registered special use names [RFC6761] place upon applications; if they are not honoured, security, privacy and interoperability issues may be encountered.
"""

Make sense?

Thanks,

> On 9 Jan 2019, at 1:23 pm, Brian Dickson <[email-masked]> wrote:
> 
> 
> On Tue, Jan 8, 2019 at 4:21 AM Tony Finch <[email-masked]> wrote:
> Brian Dickson <[email-masked]> wrote:
> 
> > I think it might be good to scope the 6761 issue, with something like the
> > following:
> 
> [SNIP]
> 
> > > I.e. it is necessary to recognize all special use names, and necessary to
> > > not resolve such names via DNS.
> 
> That's going too far: special-use domain names must have specific
> instructions to application authors, which might say not to use the
> DNS or might say to use the DNS as usual.
> 
> Hi, Tony,
> You are, of course, right. I think what I meant was, for the specific case of .onion, (what I said),
> and for the general case, (what you said). I.e. wherever an RFC for specific special use name exists,
> as linked by the IANA registry, those particular instructions MUST be followed, especially if not following
> those rules might/would break things (like the case of .onion vs DNS).
> 
> Brian
> 
>  
> David Schinazi's comment on the GitHub issue about referring to the IANA
> registry is good, and perhaps more useful than referring to RFCs directly.
> 
> Tony.
> -- 
> f.anthony.n.finch  <[email-masked]>  http://dotat.at/
> Trafalgar: Northeast 3 or 4, increasing 5 at times. Moderate. Fair. Good.

--
Mark Nottingham   https://www.mnot.net/